MSP430™CapTIvateSoftwareLibraryAPIGuide 1_70_00_03

Data Fields
tTrackPadSensorParams Struct Reference
CAPT_TYPE

typedef tTrackPadSensorParams More...

`#include <CAPT_Type.h>`

Collaboration diagram for tTrackPadSensorParams:
[legend]

## Data Fields
IQ16_t | Position_X
| Trackpad Position (Filtered) More...
IQ16_t | Position_Y
void(* | pvProcessSensor )()
void(* | pvProcessGesture )()
tElement ** | pMatrix
| pMatrix is a pointer to the element matrix containing address' for each element More...
uint16_t * | pSumX
| Pointers to SumX and SumY used for trackpad calculations. More...
uint16_t * | pSumY
uint16_t | ui16Raw_X
| Raw Position. More...
uint16_t | ui16Raw_Y
uint16_t | ui16PrevRaw_X
| Prev Raw Position (needed for mav filter..can still remove) More...
uint16_t | ui16PrevRaw_Y
uint16_t | ui16TopSpeed
uint16_t | ui16BottomSpeed
uint16_t | ui16Resolution_X
uint16_t | ui16Resolution_Y
uint16_t | ui16UpperTrim_X
uint16_t | ui16LowerTrim_X
uint16_t | ui16UpperTrim_Y
uint16_t | ui16LowerTrim_Y
uint16_t | ui16TapTime_Min
uint16_t | ui16TapTime_Max
uint16_t | ui16SwipeTime_Max
uint16_t | ui16DoubleTapTime_Max
uint16_t | ui16TapHoldTime_Min
uint16_t | ui16SwipeDistance_Min
uint8_t | ui8LowerBeta
uint8_t | ui8Gesture
uint8_t | ui8TotalColumns
uint8_t | ui8TotalRows
uint8_t | ui8TrackPadSensorBeta
bool | bTrackPadFilterEnable: 1
bool | bTrackPadFilterType: 1
bool | bPresentTouch
| Current touch flag. More...
bool | bGestureEnable
bool | bReseed
| Reseed Trackpad Filter. More...

## Detailed Description

typedef tTrackPadSensorParams

This structure contains the configuration parameters for the trackpad.

## Field Documentation

## § Position_X

IQ16_t tTrackPadSensorParams::Position_X

Trackpad Position (Filtered)

## § Position_Y

IQ16_t tTrackPadSensorParams::Position_Y

## § pvProcessSensor

void(* tTrackPadSensorParams::pvProcessSensor) ()

Pointer to the trackpad sensor processing function. If !=NULL, this function will be called after this sensor is measured.

## § pvProcessGesture

void(* tTrackPadSensorParams::pvProcessGesture) ()

Pointer to the trackpad sensor gesture processing function. If !=NULL, this function will be called after this sensor has been processed.

## § pMatrix

tElement** tTrackPadSensorParams::pMatrix

pMatrix is a pointer to the element matrix containing address' for each element

## § pSumX

uint16_t* tTrackPadSensorParams::pSumX

Pointers to SumX and SumY used for trackpad calculations.

## § pSumY

uint16_t* tTrackPadSensorParams::pSumY

## § ui16Raw_X

uint16_t tTrackPadSensorParams::ui16Raw_X

Raw Position.

## § ui16Raw_Y

uint16_t tTrackPadSensorParams::ui16Raw_Y

## § ui16PrevRaw_X

uint16_t tTrackPadSensorParams::ui16PrevRaw_X

Prev Raw Position (needed for mav filter..can still remove)

## § ui16PrevRaw_Y

uint16_t tTrackPadSensorParams::ui16PrevRaw_Y

## § ui16TopSpeed

uint16_t tTrackPadSensorParams::ui16TopSpeed

Dynamic Beta parameter ui16TopSpeed The speed at which the sensor beta is used CMD 0x63

## § ui16BottomSpeed

uint16_t tTrackPadSensorParams::ui16BottomSpeed

Dynamic Beta parameter ui16BottomSpeed The speed at which the ui8LowerBeta kicks in CMD 0x64

## § ui16Resolution_X

uint16_t tTrackPadSensorParams::ui16Resolution_X

Trackpad Resolution (across x-axis) CMD 0x67

## § ui16Resolution_Y

uint16_t tTrackPadSensorParams::ui16Resolution_Y

Trackpad Resolution (across y-axis) CMD 0x68

## § ui16UpperTrim_X

uint16_t tTrackPadSensorParams::ui16UpperTrim_X

Trackpad upper trim (x-axis) CMD 0x6A

## § ui16LowerTrim_X

uint16_t tTrackPadSensorParams::ui16LowerTrim_X

Trackpad lower trim (x-axis) CMD 0x69

## § ui16UpperTrim_Y

uint16_t tTrackPadSensorParams::ui16UpperTrim_Y

Trackpad upper trim (y-axis) CMD 0x6C

## § ui16LowerTrim_Y

uint16_t tTrackPadSensorParams::ui16LowerTrim_Y

Trackpad lower trim (y-axis) CMD 0x6B

## § ui16TapTime_Min

uint16_t tTrackPadSensorParams::ui16TapTime_Min

TAP SAMPLE THRESHOLD MINIMUM This is minimum time allowed for a valid tap If #samples => MINIMUM then begin gesture If #samples < MINUMUM then ignore CMD 0x70

## § ui16TapTime_Max

uint16_t tTrackPadSensorParams::ui16TapTime_Max

TAP SAMPLE THRESHOLD - MAXIMUM This is the maximum time allowed for a tap If #samples < MAX then valid Tap If #sample => MAX then not a TAP CMD = 0x71

## § ui16SwipeTime_Max

uint16_t tTrackPadSensorParams::ui16SwipeTime_Max

SWIPE SAMPLE THRESHOLD MAXIMUM This is maximum time allowed for a swipe If #samples < MAX then valid swipe If #samples => MAX then not valid swipe CMD 0x72

## § ui16DoubleTapTime_Max

uint16_t tTrackPadSensorParams::ui16DoubleTapTime_Max

DOUBLE TAP DELAY THRESHOLD MAX This is the maximum time allowed from the end of the first tap until the start of second tap If #samples < MAX then valid double tap If #samples => MAX then not valid double tap CMD 0x73

## § ui16TapHoldTime_Min

uint16_t tTrackPadSensorParams::ui16TapHoldTime_Min

TAP-HOLD THRESHOLD MIN This is the minimum time allowed for a continuous touch to be a tap-hold If #samples < MIN then not valid tap-hold If #samples => MIN then valid tap-hold CMD 0x74

## § ui16SwipeDistance_Min

uint16_t tTrackPadSensorParams::ui16SwipeDistance_Min

TAP_DISTANCE_THRESHOLD = valid 1 Finger press transitions into swipe if motion exceeds this threshold This is the minimum distance (difference between touch position and release position) for a valid swipe If delta < MIN then valid swipe If delta > MAX then not a valid swipe CMD 0x75

## § ui8LowerBeta

uint8_t tTrackPadSensorParams::ui8LowerBeta

Dynamic Beta parameters Lower beta value CMD 0x65

## § ui8Gesture

uint8_t tTrackPadSensorParams::ui8Gesture

Current Gesture Updated during runtime by application

## § ui8TotalColumns

uint8_t tTrackPadSensorParams::ui8TotalColumns

Trackpad size Size is generated by design center

## § ui8TotalRows

uint8_t tTrackPadSensorParams::ui8TotalRows

## § ui8TrackPadSensorBeta

uint8_t tTrackPadSensorParams::ui8TrackPadSensorBeta

Trackpad XY Filter Beta CMD 0x61

## § bTrackPadFilterEnable

bool tTrackPadSensorParams::bTrackPadFilterEnable

Trackpad Filter enable CMD 0x60

## § bTrackPadFilterType

bool tTrackPadSensorParams::bTrackPadFilterType

Select TrackPad Beta type (static or dynamic) CMD 0x66

## § bPresentTouch

bool tTrackPadSensorParams::bPresentTouch

Current touch flag.

## § bGestureEnable

bool tTrackPadSensorParams::bGestureEnable

Enable Gestures Controlled during runtime by application

## § bReseed

bool tTrackPadSensorParams::bReseed

Reseed Trackpad Filter.

The documentation for this struct was generated from the following file:

- CAPT_Type.h

© Copyright 1995-2018, Texas Instruments Incorporated. All rights reserved.
Trademarks | Privacy policy | Terms of use | Terms of sale